@charset "utf-8";
/*
Template modified: 2009-06-30
*/

.meter-banner-close {
    position: absolute;
    z-index: 99999; /* 他の要素より前面に表示 */
    top: 0; /* 閉じるボタンのトップからの設置位置 */
    right: 0; /* 閉じるボタンの右端からの設置位置 */
	width: 28px;
	height: 28px;
	padding: 0;
	margin: 0;
    border: none;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    line-height: 1;
    padding: 5px 8px;
    background-color: #000;
    color: #fff;
    cursor: pointer;
    transform: translate(15px, -15px);
}

.floating-banner {
    position: fixed;
    z-index: 99999;
    bottom: 2rem;
    right: 1.3rem;
}

.banner {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
    width: 350px; /* バナーの横幅 */
    max-width: calc(100vw - 2rem);
    padding: 2.125rem 2rem;
    background: #fff; /* バナーの背景色 */
    color: #1d1a1a; /* バナー内の文字色 */
    border-radius: 5px;
  	box-shadow: 0 4px 8px #b2b2b2,
  				0 2px 12px #b2b2b2;
    font-weight: bold;
	word-wrap: break-word;
}

.floating-banner a {
	display: inline-block;
	margin: 0 auto;
    text-decoration: none; /* リンクに下線が入らないように */
}

.copy {
    font-size: 16px;
    margin: 0 auto 12px;
    line-height: 1.6;
    white-space: pre-line;
    word-break: break-all;
}

.cta {
    display: inline-block;
    width: 70px;
    text-align: center;
    line-height: 40px;
    font-size: 16px;
    background: #16537e; /* ボタンの背景 */
    color: #fff;
    box-shadow: 0 4px 16px #00000026; /* ボタンの影 */
    border-radius: 5px;
    margin: 4px 0;
    cursor: pointer;
}

.cta:hover {
	transform: translateY(-2px);
}

.cta:active {
	transform: translateY(0);
}


@media screen and (max-width: 767px) {
    .floating-banner {
    	top: 1rem;
    	right: 0.5rem;
    }

    .banner {
    	width: 280px;
        padding: 1.5rem 1rem;
    }
}